if(isfile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::RTBR_ServerControl_Hook)
		exec("Add-Ons/System_ReturnToBlockland/hooks/serverControl.cs");
	RTB_registerPref("Can toggle","Toggle Links","ToggleLinks::CanToggle","list Host 1 SuperAdmin 2 Admin 3",3,0,1);
	RTB_registerPref("Can Bypass","Toggle Links","ToggleLinks::CanBypass","list Nobody 0 Host 1 SuperAdmin 2 Admin 3",3,0,1);
}
else
{
	$ToggleLinks::CanToggle = 3;
	$ToggleLinks::CanBypass = 3;
}

$LinkToggle = 1;
package ToggleLinks
{
	function serverCmdtogglelinks(%client)
	{
		%host = %client.bl_id == getnumkeyid();
		switch($ToggleLinks::CanToggle)
		{
			case 1:
				if(!%host)
				{
					MessageClient(%client,'',"\c6You are not allowed to reset scores");
					return;
				}
			case 2:
				if(!%client.isSuperAdmin)
				{
					MessageClient(%client,'',"\c6You are not allowed to reset scores");
					return;
				}
			case 3:
				if(!%client.isAdmin)
				{
					MessageClient(%client,'',"\c6You are not allowed to reset scores");
					return;
				}
		}
		if($LinkToggle)
		{
			$LinkToggle = 0;
			MessageAll('',"\c6Sending links has been \c0disabled\c6.");
		}
		else
		{
			$LinkToggle = 1;
			MessageAll('',"\c6Sending links has been \c2enabled\c6.");
		}
	}

	function serverCmdMessageSent(%client,%text)
	{
		if(!$LinkToggle)
		{
			%host = %client.bl_id == getnumkeyid();
			switch($ToggleLinks::CanBypass)
			{
				case 0:
					%text = strReplace(%text,"http://","");
				case 1:
					if(!%host)
						%text = strReplace(%text,"http://","");
				case 2:
					if(!%client.isSuperAdmin)
						%text = strReplace(%text,"http://","");
				case 3:
					if(!%client.isAdmin)
						%text = strReplace(%text,"http://","");
			}
		}
		Parent::serverCmdMessageSent(%client, %text);
	}
};
activatepackage(ToggleLinks);